
eTB Manager - Bug #1543

[Tasks from Mauricio TO-DO List] Create auto-calculated field: Treatment Category

06/04/2015 04:34 PM - Maurício Dos Santos

Status: Rejected Start date: 06/04/2015

Priority: Normal Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Component:    

Description

Include new field “Treatment category” as the first popping-up when users start treatment with options (drop-down):

- Initial regimen with first-line drugs

- Retreatment regimen with first-line drugs

- Second-line treatment regimen

Conditions:

- Initial regimen with first-line drugs - cases with registration group as "New" or "Treatment History Unkown" prescribed only with first

line drugs.

- Retreatment regimen with first-line drugs - cases with registration group different than "New" or "Treatment History Unkown"

prescribed only with first line drugs.

- Second-line treatment regimen - Any case with at least one second line drug prescribed.

General Rule: This calculation has to be done only when the treatment starts, if the treatment is modified this field doesn't need to be

recalculated.

The cases already registered has to be updated.

History

#1 - 06/04/2015 04:44 PM - Maurício Dos Santos

- Assignee set to Maurício Dos Santos

#2 - 06/08/2015 04:33 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#3 - 09/24/2016 08:15 PM - Ricardo Memoria

- Status changed from Resolved to Rejected
